Update cookies for profile
curl --request POST \
--url https://api.gologin.com/browser/{id}/cookies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"url": "<string>",
"name": "<string>",
"value": {},
"domain": "<string>",
"path": false,
"session": false,
"hostOnly": false,
"secure": false,
"httpOnly": false,
"expirationDate": 123,
"creationDate": 123
}
]
'import requests
url = "https://api.gologin.com/browser/{id}/cookies"
payload = [
{
"url": "<string>",
"name": "<string>",
"value": {},
"domain": "<string>",
"path": False,
"session": False,
"hostOnly": False,
"secure": False,
"httpOnly": False,
"expirationDate": 123,
"creationDate": 123
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
url: '<string>',
name: '<string>',
value: {},
domain: '<string>',
path: false,
session: false,
hostOnly: false,
secure: false,
httpOnly: false,
expirationDate: 123,
creationDate: 123
}
])
};
fetch('https://api.gologin.com/browser/{id}/cookies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Profile
Update cookies for profile
Browser will import it next time you run it
POST
/
browser
/
{id}
/
cookies
Update cookies for profile
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Id of the profile.
Query Parameters
Should be true if you want browser to import it when you run it next time.
Should be true if you want browser to erase all cookies before importing new ones.
Body
application/json
List of cookies to add to profile.
Available options:
no_restriction, lax, strict, unspecified Response
204 - undefined
Was this page helpful?
⌘I